doctrine:
    dbal:
        # configure these for your database server
        driver: 'pdo_pgsql'
        server_version: '12.1'
        charset: utf8
        url: '%env(resolve:DATABASE_URL)%'
        types:
            geography:
                class: 'App\DQL\Types\GeoJsonGeographyType'
                commented: false
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        dql:
            datetime_functions:
                date_part: DoctrineExtensions\Query\Postgresql\DatePart
            string_functions:
                ST_Simplify: App\DQL\Functions\StSimplify
                JSON_GET: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Postgresql\JsonGet
                JSON_GET_TEXT: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Postgresql\JsonGetText
                CAST: DoctrineExtensions\Query\Mysql\Cast
                STRING_AGG:  DoctrineExtensions\Query\Postgresql\StringAgg
                EXTRACT:  DoctrineExtensions\Query\Postgresql\ExtractFunction
                ST_Area: Jsor\Doctrine\PostGIS\Functions\ST_Area
                ST_AsGeoJSON: Jsor\Doctrine\PostGIS\Functions\ST_AsGeoJSON
                ST_Intersects: Jsor\Doctrine\PostGIS\Functions\ST_Intersects
                ST_Intersection: Jsor\Doctrine\PostGIS\Functions\ST_Intersection
                ST_IsValidDetail: Jsor\Doctrine\PostGIS\Functions\ST_IsValidDetail
                ST_AsKML: Jsor\Doctrine\PostGIS\Functions\ST_AsKML
